ActionView::Template::Error (syntax error on line 33, col 12: `')

02 Jul 2012 06:04 - Rob Landry

Status: Incomplete Start date: 02 Jul 2012

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version: 2.0.3 External issue:  

Description

I have decided to use my webhost for redmine vice my home pc. I have done a fresh install of redmine 2.0.3. Following installation

instruction i installed redmine_scm 0.4.1.

Upon creating a new project I am getting a 500 error. Looking at my production log this is what i see:

Started GET "/projects/new" for 74.76.105.241 at Sun Jul 01 23:58:29 -0600 2012

Processing by ProjectsController#new as HTML

  Rendered plugins/redmine_scm/app/views/projects/_scm.html.erb (2.2ms)

  Rendered projects/_form.html.erb (329.9ms)

  Rendered projects/new.html.erb within layouts/base (332.2ms)

Completed 500 Internal Server Error in 349ms

ActionView::Template::Error (syntax error on line 33, col 12: `'):

    1: <% if ScmConfig['force_repository'] %>

    2:   <script type="text/javascript">

    3:     //<![CDATA[

    4:     Event.observe(window, 'load', function() {

  lib/redmine/hook.rb:111:in `send'

  lib/redmine/hook.rb:111:in `view_projects_form'

  lib/redmine/hook.rb:61:in `send'

  lib/redmine/hook.rb:61:in `call_hook'

  lib/redmine/hook.rb:61:in `each'

  lib/redmine/hook.rb:61:in `call_hook'

  lib/redmine/hook.rb:58:in `tap'

  lib/redmine/hook.rb:58:in `call_hook'

  lib/redmine/hook.rb:158:in `call_hook'

  app/views/projects/_form.html.erb:23:in `_app_views_projects__form_html_erb__1330010327_69983346

472560'

  app/views/projects/new.html.erb:4:in `_app_views_projects_new_html_erb__1556954071_6998334655048

0'

  app/helpers/application_helper.rb:950:in `labelled_form_for'

  app/views/projects/new.html.erb:3:in `_app_views_projects_new_html_erb__1556954071_6998334655048

0'

 

I know in fact that this version of scm works great on my home pc. The only differences i can think of between the 2 servers is that

the problematic one has ruby 1.8.7.

Please Advise.

History

#1 - 02 Jul 2012 06:54 - Andriy Lesyuk

- Status changed from New to Incomplete

Weird... Line 33 is just </p>. Can’t get it.
#2 - 04 Jul 2012 09:49 - Oleksandr Kazymyrov

I have almost the same problem.

When I go to the setting bar of project I have:

Started GET "/projects/test/settings" for 192.168.21.1 at Wed Jul 04 11:19:23 +0200 2012

Processing by ProjectsController#settings as HTML

  Parameters: {"id"=>"test"}

  Rendered projects/_form.html.erb (15.5ms)

  Rendered projects/_edit.html.erb (19.5ms)

  Rendered common/_tabs.html.erb (25.1ms)

  Rendered projects/settings.html.erb within layouts/base (26.9ms)

Completed 500 Internal Server Error in 44ms

ActionView::Template::Error (Missing partial projects/scm with {:locale=>[:ru, :en], :formats=>[:html], :handl

ers=>[:builder, :rjs, :erb, :rsb]}. Searched in:

  * "/opt/redmine/app/views" 

):

    20: <% @project.custom_field_values.each do |value| %>

    21:   <p><%= custom_field_tag_with_label :project, value %></p>

    22: <% end %>

    23: <%= call_hook(:view_projects_form, :project => @project, :form => f) %>

    24: </div>

    25:

    26: <% if @project.new_record? %>

  lib/redmine/hook.rb:111:in `send'

  lib/redmine/hook.rb:111:in `view_projects_form'

  lib/redmine/hook.rb:61:in `send'

  lib/redmine/hook.rb:61:in `call_hook'

  lib/redmine/hook.rb:61:in `each'

  lib/redmine/hook.rb:61:in `call_hook'

  lib/redmine/hook.rb:58:in `tap'

  lib/redmine/hook.rb:58:in `call_hook'

  lib/redmine/hook.rb:158:in `call_hook'

  app/views/projects/_form.html.erb:23:in `_app_views_projects__form_html_erb__687744281_69879695619600'

  app/views/projects/_edit.html.erb:2:in `_app_views_projects__edit_html_erb__604472387_69879695689040'

  app/helpers/application_helper.rb:950:in `labelled_form_for'

  app/views/projects/_edit.html.erb:1:in `_app_views_projects__edit_html_erb__604472387_69879695689040'

  app/views/common/_tabs.html.erb:24:in `_app_views_common__tabs_html_erb__621546835_69879695797840'

  app/views/common/_tabs.html.erb:23:in `each'

  app/views/common/_tabs.html.erb:23:in `_app_views_common__tabs_html_erb__621546835_69879695797840'

  app/helpers/application_helper.rb:231:in `render_tabs'

  app/views/projects/settings.html.erb:3:in `_app_views_projects_settings_html_erb__1091666499_69879695813960'

 

Fresh install of Redmine 2.0.3 and SCM creator r117. Redmine works fine without SCM plugin.

Comments

I have database from 1.4.x. Perhaps the problem with the database migration, because I have had problems with downgrading (deleting the plugin).

Perhaps you should delete columns before executing “add_column” in source:db/migrate/001_add_repositories_created_with_scm.rb
http://projects.andriylesyuk.com/projects/scm-creator/repository/revisions/117
http://projects.andriylesyuk.com/projects/scm-creator/repository/entry/db/migrate/001_add_repositories_created_with_scm.rb


#3 - 07 Jul 2012 09:02 - Andriy Lesyuk

Oleksandr, accordingly to this:

Searched in:

  * "/opt/redmine/app/views" 

):

 

For some reason it does not include plugins’ views... Should be same for other plugins... Do you use other plugins? Which one?

#4 - 09 Jul 2012 09:42 - Oleksandr Kazymyrov

I also use redmine_wiki_gchart_formula. It works fine.

If you need extra debug information I can install another plugin. Just give me a link.

#5 - 09 Jul 2012 09:52 - Andriy Lesyuk

Wiki GChart Formula does not contain any templates in app/views... Please test any other plugin which does.

You see - besides /opt/redmine/app/views there should be /opt/redmine/vendor/plugins/redmine_scm/app/views...

#6 - 09 Jul 2012 12:05 - Oleksandr Kazymyrov

- File app_views.txt added

Andriy Lesyuk wrote:

Wiki GChart Formula does not contain any templates in app/views... Please test any other plugin which does.

You see - besides /opt/redmine/app/views there should be /opt/redmine/vendor/plugins/redmine_scm/app/views...

 

You can see my /opt/redmine/app/views in attachments. I can’t find /opt/redmine/vendor/plugins/redmine_scm/app/views!

P.S. Here is written: Copy your plugin directory into #{RAILS_ROOT}/plugins (Redmine 2.x) or #{RAILS_ROOT}/vendor/plugins (Redmine 1.x). So I

have placed plugins in “plugins” directory:

hamsin@hserver:~$ sudo ls -l /opt/redmine/plugins

total 12

-r-x------ 1 www-data www-data   31 Jun 18 22:21 README

drwxr-xr-x 5 root     root     4096 Jul  7 17:06 redmine_wiki_gchart_formula

dr-xr-xr-x 7 www-data www-data 4096 Jun 30 13:05 scm_creator
http://projects.andriylesyuk.com/users/okazymyrov
https://github.com/masamitsu-murase/redmine_wiki_gchart_formula
http://www.redmine.org/projects/redmine/wiki/Plugins


#7 - 09 Jul 2012 12:12 - Andriy Lesyuk

Oleksandr Kazymyrov wrote:

You can see my /opt/redmine/app/views in attachments. I can’t find /opt/redmine/vendor/plugins/redmine_scm/app/views!

 

Sorry, it should be in /opt/redmine/plugins/redmine_scm/app/views for Redmine 2.0.x.

#8 - 09 Jul 2012 12:20 - Oleksandr Kazymyrov

I just tried redmine banner plugin. It works fine.

#9 - 09 Jul 2012 12:26 - Oleksandr Kazymyrov

I have found how to fix my problem. I made:

1. rake redmine:plugins:migrate RAILS_ENV=production NAME=redmine_scm VERSION=0

2. Rename folder scm_creator to redmine_scm

3. rake redmine:plugins:migrate RAILS_ENV=production

After these tricks it works fine.

#10 - 08 Oct 2012 14:23 - Andriy Lesyuk

- Assignee set to Andriy Lesyuk

Rob, Are you still experiencing the issue?

Files

app_views.txt 2.56 KB 09 Jul 2012 Oleksandr Kazymyrov

Powered by TCPDF (www.tcpdf.org)

13 Mar 2024 4/4

https://github.com/akiko-pusu/redmine_banner
http://projects.andriylesyuk.com/users/470
http://www.tcpdf.org

